Add Benchmark

Assign a compliance benchmark to one account, or to all accounts in the organization.

To copy the settings of a benchmark that an account already has, use Provision Benchmark instead.

This method is used to assign compliance benchmarks to one or more accounts.

KeyMeaningMandatoryData Type
account_nameName of the source account from which the benchmark is applied.Yesstring
benchmarknameName of the benchmark that needs to be assigned.Yesstring
target_account_nameName of the target account where the benchmark will be applied. "ALL" can be used to apply to all accounts.Yesstring
target_groupName of the target device group where the benchmark should be applied.Yesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.cvem import CvemClient

client = CvemClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response=client.Compliance.addBenchmark(
  account_name="Default",
  benchmarkname="Amazon linux 2 general compliance",
  target_group="windows 7",
  target_account_name="ALL"
  )

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json